#
#  .88888.  dP     dP d888888P  888888ba   .88888.  888888ba  dP 888888ba         dP  .d888888  
# d8'   `8b 88     88    88     88    `8b d8'   `8b 88    `8b 88 88    `8b        88 d8'    88  
# 88     88 88     88    88    a88aaaa8P' 88     88 88     88 88 88     88        88 88aaaaa88a 
# 88     88 88     88    88     88   `8b. 88     88 88     88 88 88     88        88 88     88  
# Y8.   .8P Y8.   .8P    88     88     88 Y8.   .8P 88     88 88 88     88 88.  .d8P 88     88  
#  `8888P'  `Y88888P'    dP     dP     dP  `8888P'  dP     dP dP dP     dP  `Y8888'  88     88
# 
# OutroNinja Framework [2024]
# Written by OutroNinja
#
# -+-+-+- INFO -+-+-+-
# =========
# Load the main functions and start the datapack.
# Please do not change anything.
# =========
#
# ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
# 
# --------|    Code    |--------

# Ensure the chunk at coordinates -30000000, 0, 1611 is always loaded
execute in minecraft:overworld run forceload add -30000000 1600

# Define common objectives:
# - otn.temp: temporary values
# - otn.var: fixed values and variables
scoreboard objectives add otn.temp dummy
scoreboard objectives add otn.var dummy

# Log when the datapack is loaded
tellraw @a ["",{"text":"\u25c6 ","color":"green"},{"text":"Loaded "},{"text":"Fast Piglin Barter","bold":true,"color":"yellow","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/outroninja-fast-piglin-barter"}},{"text":" ","bold":true,"color":"yellow"},{"text":"(v1.1.0)","color":"yellow","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/outroninja-fast-piglin-barter/versions"}},{"text":" successfully!"}]
playsound minecraft:entity.experience_orb.pickup neutral @a
function on_fast_piglin_barter:action/schedule